%define oname   gem2rpm

Name:       ruby-%{oname}
Version:    1.0.2
Release:    %mkrel 1
Summary:    Generate rpm specfiles from gems
License:    GPLv2+
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/gem2rpm/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Source101:  mageia.erb
Patch0:     gem2rpm-0.11.2-use-vendor-template.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Generate source rpms and rpm spec files from a Ruby Gem.  The spec file
tries to follow the gem as closely as possible

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%files
%{_bindir}/gem2rpm
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/templates
%{gem_spec}


%files doc
%doc %{gem_docdir}
%doc LICENSE README.md AUTHORS



#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch0 -p1

%build
%gem_build

%install
%gem_install

install -D -m644 %{SOURCE101} %{buildroot}%{gem_instdir}/templates/%{_real_vendor}.spec.erb

rm -f %{buildroot}%{gem_instdir}/{AUTHORS,README.md,LICENSE}


%changelog
* Fri Mar 18 2022 pterjan <pterjan> 1.0.2-1.mga9
+ Revision: 1798483
- Update to 1.0.2

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1507738
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1290956
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 pterjan <pterjan> 1.0.1-1.mga7
+ Revision: 1234608
- Update to 1.0.1

* Wed Sep 13 2017 pterjan <pterjan> 1.0.0-1.mga7
+ Revision: 1153685
- Update to 1.0.0

* Thu Dec 17 2015 spuhler <spuhler> 0.11.2-2.mga6
+ Revision: 911497
- fixed rm -f %%{buildroot}%%{gem_instdir}/{AUTHORS,README.md,LICENSE}

* Thu Dec 17 2015 spuhler <spuhler> 0.11.2-1.mga6
+ Revision: 911445
- upgrade to vers. 0.11.2
  * updated use-vendor-template.patch to new source

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-7.mga5
+ Revision: 747382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-6.mga5
+ Revision: 688809
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 pterjan <pterjan> 0.9.2-5.mga4
+ Revision: 563140
- Fix template for doc files

* Sat Dec 28 2013 pterjan <pterjan> 0.9.2-4.mga4
+ Revision: 561282
- Fix template to use new macros

* Sat Dec 28 2013 pterjan <pterjan> 0.9.2-3.mga4
+ Revision: 561226
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.9.2-2.mga4
+ Revision: 540792
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 pterjan <pterjan> 0.9.2-1.mga4
+ Revision: 494320
- 0.9.2

* Fri Sep 20 2013 pterjan <pterjan> 0.8.1-7.mga4
+ Revision: 482026
- Rebuild for Ruby 2

* Wed Sep 11 2013 fwang <fwang> 0.8.1-6.mga4
+ Revision: 477478
- update spec template

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-5.mga3
+ Revision: 395992
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-4.mga3
+ Revision: 380895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.8.1-3.mga3
+ Revision: 312427
- do not produce devel package by default

* Fri Nov 02 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 312365
- apply patch

* Fri Nov 02 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 312345
- new version 0.8.1

* Tue Mar 29 2011 shikamaru <shikamaru> 0.6.0-1.mga1
+ Revision: 78925
- imported package ruby-gem2rpm

